API Documentation

Integrate our powerful REST APIs into your application to automate SMS, Email, and WhatsApp messaging.

Authentication

ApiKey (apiKey): API Key for authentication
Header: X-API-Key

Email Endpoints

GET /api/email/get-balance
Responses
  • 200 Success
    • isSuccess boolean
    • isFailure boolean
    • error Object (Error)
    • value integer
  • 400 Bad Request
    • isSuccess boolean
    • isFailure boolean
    • error Object (Error)
POST /api/email/send
Request Body
Content-Type: multipart/form-data
  • CampaignName string
  • SenderId integer (int32)
  • To string
  • Subject string
  • Body string
  • ScheduledAt string (date-time)
  • IsScheduled boolean
  • AttachmentFiles array
  • TemplateId integer (int32)
  • TemplateAttachmentIds array
Responses
  • 200 Success
    • isSuccess boolean
    • isFailure boolean
    • error Object (Error)
    • value Object (SendEmailResponse)
  • 400 Bad Request
    • isSuccess boolean
    • isFailure boolean
    • error Object (Error)
    • value Object (SendEmailResponse)